Page MenuHomePhabricator

Resolve inconsistencies between deployed jvm options and upstream suggested jvm options for elasticsearch
Closed, ResolvedPublic

Description

While upgrading logstash in the beta cluster to elasticsearch 5.x the server failed to start to the security problems with MBeans. Using the jvm options shipped in the elasticsearch package allowed this to work. Ticket is to:

  1. Update the jvm options we use to match upstream where it makes sense
  2. Potentially figure out why the production search clusters were able to work on all 72 instances with the currently deployed jvm options while this one decided to fail.

Details

Related Gerrit Patches:
operations/puppet : productionAlign elasticsearch jvm options with upstream

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 30 2017, 6:53 PM

Change 345632 had a related patch set uploaded (by EBernhardson):
[operations/puppet@production] Align elasticsearch jvm options with upstream

https://gerrit.wikimedia.org/r/345632

Change 345632 merged by Gehel:
[operations/puppet@production] Align elasticsearch jvm options with upstream

https://gerrit.wikimedia.org/r/345632

Mentioned in SAL (#wikimedia-operations) [2017-04-26T12:55:26Z] <gehel> restart elasticsearch on relforge1001 to validate new config - T161830

debt closed this task as Resolved.May 30 2017, 5:34 PM